---
debug: false

activate_containerd: true
activate_nvidia: false

k8s_interface: ens.*,eth.*
# pod_network_cidr: 10.200.0.0/16
pod_network_cidr: 10.10.0.0/16
pod_network_ipip_mode: Never

oidc_issuer_url: "https://gitlab.com"
oidc_client_id: "xxxx"
oidc_username_claim: "sub"

k8s_dns_servers: []

k8s_version: 1.23.2

calico_version: v3.22

# create with 'kubeadm alpha certs certificate-key'
k8s_certificate_key: Xx64

k8s_dns_entry:
k8s_external_dns_entry:

cluster_api_address: "{{ hostvars[groups['loadbalancers'][0]].ansible_host }}"
cluster_hostname: "{{ hostvars[groups['loadbalancers'][0]].ansible_hostname }}"
